(function ($) {
        "use strict";
            var WidgetScrollSequenceHandler = function($scope, $) { 
                let is_editable = elementorFrontend?.isEditMode();
                let maskBtn = $scope[0].querySelector('.wdk-masked-ani-btn'); // fixed class name
let btn = maskBtn.querySelector('.wdk-mas');
let link = maskBtn.querySelector('.wdk-masked-btn');

const isTablet = window.innerWidth >= 768 && window.innerWidth <= 1024;
const isMobile = window.innerWidth <= 767;

link.addEventListener('click', (e) => {
    if (
        (isMobile && !btn.classList.contains('disable-mobile-link')) ||
        (isTablet && !btn.classList.contains('disable-tablet-link'))
    ) {
        e.preventDefault();
        e.stopPropagation();
    }
});
  
            };	
        $(window).on('elementor/frontend/init', function () {
          elementorFrontend.hooks.addAction('frontend/element_ready/wb-tg80l924.default', WidgetScrollSequenceHandler);
        });
    })(jQuery);